Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class WorldSavedData

    java.lang.Object
      net.minecraft.src.WorldSavedData

Direct Known Subclasses:
  MapData, VillageCollection

    public abstract class WorldSavedData

extends Object

Field Summary
`String` | `mapName` The name of the map data nbt

Constructor Summary
`WorldSavedData(String par1Str)`

Method Summary
`boolean` | `isDirty()` Whether this MapDataBase needs saving to disk.
`void` | `markDirty()` Marks this MapDataBase dirty, to be saved to disk when the level next saves.
`abstract void` | `readFromNBT(NBTTagCompound var1)` reads in data from the NBTTagCompound into this MapDataBase
`void` | `setDirty(boolean par1)` Sets the dirty state of this MapDataBase, whether it needs saving to disk.
`abstract void` | `writeToNBT(NBTTagCompound var1)` write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapName

    public final String mapName

  The name of the map data nbt

Constructor Detail

### WorldSavedData

    public WorldSavedData(String par1Str)

Method Detail

### readFromNBT

    public abstract void readFromNBT(NBTTagCompound var1)

  reads in data from the NBTTagCompound into this MapDataBase

### writeToNBT

    public abstract void writeToNBT(NBTTagCompound var1)

  write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

### markDirty

    public void markDirty()

  Marks this MapDataBase dirty, to be saved to disk when the level next saves.

### setDirty

    public void setDirty(boolean par1)

  Sets the dirty state of this MapDataBase, whether it needs saving to disk.

### isDirty

    public boolean isDirty()

  Whether this MapDataBase needs saving to disk.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD